para.Lscaling = 0.5;
para.Sscaling = 0.5;

para.SIFTflowpara.alpha=25;
para.SIFTflowpara.d=125;
para.SIFTflowpara.gamma=0;
para.SIFTflowpara.nlevels=4;
para.SIFTflowpara.wsize=10;
para.SIFTflowpara.topwsize=5;
para.SIFTflowpara.nTopIterations = 60;
para.SIFTflowpara.nIterations= 20;

prefix = '../data/video_retargeting/';

dbn = ['/' samn '/'];
type1 = 'ours';
type2 = 'seam carving';
type3 = 'uniform';
type4 = 'wang';
type5 = 'wolf';
type0 = 'src';

ext1 = '.jpg';

interval = 1;

if (exist('samn', 'var'))
    switch (samn)
        case 'How_01'
            gr_score =  [87 17 92 73 11];
            gr_score2 = 80-[4	25	9	12	30];
            gr_score3 = 80-[2	27	10	12	29];
            fnum1 = 92;
            fnum2 = 61;
        case 'Only_test04'
            gr_score =  [97	4	85	68	26];
            gr_score2 = 80-[12	15	7	16	30];
            gr_score3 = 80-[4	25	7	13	31];
            fnum1 = 112;
            fnum2 = 23;
        case 'Sample2'
            gr_score =  [101	1	79	66	33];
            gr_score2 = 80-[6	32	7	11	24];
            gr_score3 = 80-[4	32	12	12	20];
            fnum1 = 80;
            fnum2 = 57;
        case 'Sample3'
            gr_score =  [91	1	96	65	27];
            gr_score2 = 80-[9	28	12	10	21];
            gr_score3 = 80-[7	29	15	10	19];
            fnum1 = 134;
            fnum2 = 248;
        case 'Holmes_01'
            gr_score =  [86	2	83	83	26];
            gr_score2 = 80-[5	23	8	14	30];
            gr_score3 = 80-[9	28	14	11	18];
            fnum1 = 86;
            fnum2 = 44;
        case 'Sample7'
            gr_score =  [95	2	77	66	40];
            gr_score2 = 80-[5	29	11	9	26];
            gr_score3 = 80-[9	32	13	13	13];
            fnum1 = 38;
            fnum2 = 75;
    end
end